﻿:root {
    --darkest-grey: #343E46;
    --darkest-grey-rgb: 52,62,70;
    --massage-green: #B8D149;
    --dark-grey: #586A77;
    --dark-grey-30: rgba(88, 106, 119, 0.3);
    --light-grey: #E6E5E5;
    --light-grey-50: rgba(230,229,229,0.5);
    --dark-grey-20: rgba(88,106,119,0.2);
    --mid-tone-grey: #798893;
    --mid-tone-grey-rgb: 121 136 147;
    --massage-green-20: rgba(184, 209, 73, 0.2);
}

.location-details-block-wrapper .container-fluid,
.location-details-block-wrapper .container-fluid .row div[class^="col-"] {
    padding: 0px;
}

.location-details-block-wrapper .container-fluid .row {
    margin-right: 0px;
    margin-left: 0px;
    display: flex;
}

.location-details-block-wrapper div#clinic-map {
    aspect-ratio: 2 / 1;
    width: 100%;
    height: 100%;
}

.location-details-block-wrapper .left-wrapper .grey-bg {
    background: var(--light-grey-50);
    flex: 1;
    padding: 40px 60px;
    display: flex;
    align-items: center;
}

.location-details-block-wrapper .left-wrapper .dark-grey-bg {
    background: var(--darkest-grey);
    padding: 20px 60px;
}

.location-details-block-wrapper .left-wrapper .dark-grey-bg h4 {
    color: #ffffff;
    margin-right: 25px;
}

.location-details-block-wrapper .left-wrapper h2 {
    margin-top: 0px;
}

.location-details-block-wrapper .left-wrapper {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.location-details-block-wrapper .left-wrapper .flex-wrap {
    display: flex;
    gap: 18px;
    margin-bottom: 25px;
}

.location-details-block-wrapper .left-wrapper .flex-wrap .icon-wrapper  {
    width: 25px;
}

.location-details-block-wrapper .left-wrapper .flex-wrap .icon-wrapper i {
    color: var(--massage-green);
    font-size: 25px;
    margin-top: 5px;
}

.location-details-block-wrapper .flex-wrap .content-wrapper p {
    margin-bottom: 0px;
}

.location-details-block-wrapper .phone-wrapper .content-wrapper p a {
    font-weight: 500;
}

.location-details-block-wrapper .phone-wrapper {
    align-items: center;
}

.location-details-block-wrapper .address-wrapper {
    margin-top: 26px;
}

.location-details-block-wrapper .address-wrapper .content-wrapper a {
    font-weight: 500;
}

.location-details-block-wrapper .location-social-wrapper {
    display: flex;
    align-items: center;
}

.location-details-block-wrapper .white-circle {
    background: #ffffff;
    width: 55px;
    height: 55px;
    font-size: 30px;
    border-radius: 50%;
    margin-right: 10px;
    transition: all .5s ease;
    position: relative;
}

.location-details-block-wrapper .white-circle a {
    color: var(--darkest-grey);
    position: absolute;
    inset: 0;
    display: flex;
    align-items: center;
    justify-content: center;
}

.location-details-block-wrapper .white-circle:hover {
    background: rgba(255,255,255,0.8);
}

.location-details-block-wrapper .white-circle:hover a {
    text-decoration: none!important;
}

.location-details-block-wrapper .left-wrapper .hours-wrapper {
    margin-bottom: 0px;
}

@media (min-width: 1200px) and (max-width: 1367px) {

    .location-details-block-wrapper .left-wrapper .dark-grey-bg {
        padding: 15px 30px;
    }

    .location-details-block-wrapper .left-wrapper .grey-bg {
        padding: 40px 30px;
    }

    .location-details-block-wrapper .white-circle {
        width: 40px;
        height: 40px;
        font-size: 23px;
    }

    .location-details-block-wrapper .left-wrapper h2 {
        line-height: 33px;
        font-size: 31px;
    }
}

@media (min-width: 992px) and (max-width: 1199px) {

    .location-details-block-wrapper .left-wrapper .dark-grey-bg {
        padding: 15px 30px;
    }

    .location-details-block-wrapper .left-wrapper .grey-bg {
        padding: 40px 30px;
    }

    .location-details-block-wrapper .white-circle {
        width: 40px;
        height: 40px;
        font-size: 23px;
    }

    .location-details-block-wrapper .left-wrapper h2 {
        line-height: 33px;
        font-size: 31px;
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    .location-details-block-wrapper .left-wrapper .dark-grey-bg {
        padding: 15px 30px;
    }

    .location-details-block-wrapper .left-wrapper .grey-bg {
        padding: 40px 30px;
    }

    .location-details-block-wrapper .white-circle {
        width: 40px;
        height: 40px;
        font-size: 23px;
    }

    .location-details-block-wrapper .left-wrapper h2 {
        line-height: 33px;
        font-size: 31px;
    }
}

@media (max-width: 767px) {
    .location-details-block-wrapper .container-fluid .row {
        display: block;
    }

    .location-details-block-wrapper div#clinic-map {
        aspect-ratio: 1 / 1;
    }

    .location-details-block-wrapper .left-wrapper .grey-bg {
        padding: 30px 20px;
    }

    .location-details-block-wrapper .left-wrapper .dark-grey-bg {
        padding: 12px 20px 15px;
    }

    .location-details-block-wrapper .left-wrapper .dark-grey-bg h4 {
        margin-right: 0px;
        width: 100%;
        margin-top: 0px;
    }

    .location-details-block-wrapper .location-social-wrapper {
        flex-wrap: wrap;
    }
}